Loading...
Searching...
No Matches
blackoilextbomodules.hh File Reference

Contains the classes required to extend the black-oil model by solvent component. More...

`#include <dune/common/fvector.hh>`
`#include <opm/models/blackoil/blackoilextboparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/models/utils/basicproperties.hh>`
`#include <cassert>`
`#include <cmath>`
`#include <istream>`
`#include <ostream>`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilExtboModule< TypeTag, enableExtboV >
| Contains the high level supplements required to extend the black oil model. More...
class | Opm::BlackOilExtboIntensiveQuantities< TypeTag, true >
class | Opm::BlackOilExtboIntensiveQuantities< TypeTag, false >
class | Opm::BlackOilExtboExtensiveQuantities< TypeTag, enableExtboV >
| Provides the solvent specific extensive quantities to the generic black-oil module's extensive quantities. More...
class | Opm::BlackOilExtboExtensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enableExtboV>
BlackOilExtboParams< typename BlackOilExtboModule< TypeTag, enableExtboV >::Scalar > | Opm::BlackOilExtboModule< TypeTag, enableExtboV >::params_

## Detailed Description

Contains the classes required to extend the black-oil model by solvent component.

For details, refer: [*] T.H. Sandve, O. Sævareid and I. Aavatsmark: “Improved Extended Blackoil Formulation for CO2 EOR Simulations.” in ECMOR XVII – The 17th European Conference on the Mathematics of Oil Recovery, September 2020.